__BREAK_LEASE(9)

NAME
__break_lease - revoke all outstanding leases on file

SYNOPSIS

int __break_lease (struct inode * inode, unsigned int mode);

ARGUMENTS

inode
    the inode of the file to return

mode
    the open mode (read or write)

DESCRIPTION

break_lease (inlined for speed) has checked there already is a lease on this file. Leases are broken on a call to open or truncate. This function can sleep unless you specified O_NONBLOCK to your open.